/* splash */
.splash-success, .splash-error {
    position   : fixed;
    top        : 0;
    left       : 0;
    right      : 0;
    display    : none;
    text-align : center;
    padding    : 4px;
    z-index    : 200000;
}

.splash-success {
    background : #cfc;
}

.splash-error {
    background : #fcc;
}

/* icons */

.icon16 {
    padding-left        : 16px;
    min-height          : 16px;
    display             : inline-block;
    zoom                : 1;
    background-repeat   : no-repeat;
    background-position : left center;
    vertical-align      : bottom;
}

a.icon16, span.action.icon16 {
    cursor : pointer;
}

.icon16-right {
    padding-right       : 14px;
    min-height          : 16px;
    display             : inline-block;
    zoom                : 1;
    background-repeat   : no-repeat;
    background-position : right center;
}

.icon16.labeled {
    padding-left : 19px !important;
}

.icon16.labeled.play > span.pause {
    display : none;
}

.icon16.labeled.pause > span.play {
    display : none;
}

.right {
    float: right;
}

.right > .icon16 + .icon16 {
    margin-left : 3px;
}

/* Firefox bug: http://www.blog.highub.com/css/css-hacks/firefox-css-line-height-problem/ */

.icon16.edit {
    background-image : url('../images/icons/edit.png');
}
.icon16.help {
    background-image : url('../images/icons/help-icon.png');
}
.icon16.add {
    background-image : url('../images/icons/add.png');
}
.icon16.remove {
    background-image : url('../images/icons/remove.png');
}
.icon16.remove-blue {
    background-image : url('../images/icons/remove-blue.png');
}
.icon16.stop {
    background-image : url('../images/icons/stop.png');
}
.icon16.play {
    background-image : url('../images/icons/play.png');
}
.icon16.pause {
    background-image : url('../images/icons/pause.png');
}
.icon16.money {
    background-image : url('../images/icons/money.png');
}
.icon16.search {
    background-image : url('../images/icons/search.png');
}
.icon16.error {
    background-image : url('../images/icons/error.png');
}
.icon16.warning {
    background-image : url('../images/icons/warning.png');
}
.icon16.change-password {
    background-image : url('../images/icons/change-password.png');
}
.icon16.enter-by-user {
    background-image : url('../images/icons/key.png');
    background-image : url('http://cdn1.iconfinder.com/data/icons/fatcow/16/door_in.png');

}
.icon16.access {
    background-image : url('../images/icons/key.png');
}
.icon16.send-ticket {
    background-image : url('../images/icons/create-ticket-icon.png');
}
.icon16.success {
    background-image : url('../images/icons/success.png');
}
.icon16.comment {
    background-image : url('../images/icons/comment.png');
}
.icon16.comment-exist {
    background-image : url('../images/icons/comment-exist.png');
}
.icon16.preferences {
    background-image : url('../images/icons/preferences.png');
    cursor           : pointer;
}
.icon16.up_green {
    background-image : url('../images/icons/arrow_up_green.png');
    cursor           : pointer;
}
.icon16.down_red {
    background-image : url('../images/icons/arrow_down_red.png');
    cursor           : pointer;
}
.icon16.resubmit {
    background-image : url('../images/icons/re-submit.png');
    cursor           : pointer;
}
.icon16.stats {
    background-image : url('../images/icons/stats.png');
}
.icon16.milestone {
    background-image : url('../images/icons/milestone.png');
}

.icon16.target {
    background-image : url('../images/icons/target.png');
}

.icon16.eye {
    background-image : url('../images/icons/eye.png');
}

.icon16.clock {
    background-image : url('../images/icons/clock.png');
}

.icon16.anonymous {
    background-image : url('../images/icons/anonymous.png');
}

.icon16-right.tooltip {
    background-image : url('../images/icons/tooltip.png');
}

.icon16.granted, .icon16.blocked {
    background-position : 0 1px;
}

.icon16.granted {
    background-image : url('../images/icons/granted.png');
}

.icon16.blocked {
    background-image : url('../images/icons/blocked.png');
}

.icon16.checkbox.granted {
    background-image : url('../images/icons/checkbox-granted.png');
}

.icon16.checkbox.blocked {
    background-image : url('../images/icons/checkbox-blocked.png');
}

.icon16 {
    text-decoration : none !important;
    border          : none !important;
}

.icon16.disabled {
    cursor           : default;
    background-image : url('../images/icons/loading.gif') !important;
}

.icon16.active {
    background-image : url('../images/icons/save.png') !important;
}


/* window */

a.popup > div.window, a.popup > div.popup {
    display : none;
}

div.popup {
    /*background      : #f4fbfd;*/
    background    : #fff;
    border-radius : 5px;
    /*overflow      : hidden;*/
    display       : none;
}

div.window-templates {
    display : none;
}

div.window-loading {
    position   : fixed;
    left       : 0;
    top        : 0;
    z-index    : 10001;
    width      : 100%;
    height     : 100%;
    background : url('../images/ajax-loader.gif') no-repeat center center;
}

div.window input[type=text], div.window input[type=password], div.window select {
    background-color : #FFF;
}

/*
.window-head, .window-foot, .window-body {
    position    : absolute;
}
*/

.window-head, .window-foot {
    /*overflow : hidden;*/
    left     : 20px;
    right    : 20px;
    padding  : 0;
}

.window-head {
    top : 0;
}

.window-foot {
    bottom : 0;
}

.window-foot hr {
    display : none;
}

/*
.window-body {
    overflow        : auto;
    left            : 0px;
    padding-left    : 20px;
    right           : 20px;
}
*/

.window .tab-body > div, .window .tab-body > h5, .window .tab-list-blocks > .tab-item {
    margin-top    : 0;
    margin-bottom : 12px;
}

.window .tab-body > div.clear {
    margin        : 0;
}

.nowrap {
    white-space: nowrap;
}

.preformatted {
    white-space: pre-wrap;
}

.clear {
    clear: both;
}

.clearfix::after {
    content: "";
    clear: both;
    display: table;
}

.expander-toggle {
    padding-left: 16px;
    height: 16px;
    display: inline-block;
    vertical-align: middle;
    background-image: url(../images/icons/expander_arrow_right_blue.png);
    background-repeat: no-repeat;
    cursor: pointer;
}

[data-expanded] > .expander-toggle {
    background-image: url(../images/icons/expander_arrow_down_blue.png);
}

.expander-toggle[data-disabled] {
    filter: grayscale(100%);
}

:not([data-expanded]) > .expander-target {
    display: none;
}

.expander-popup {
    position: absolute;
    padding: 10px;
    background-color: #ffffff;
    border: 1px solid #ccc;
    box-shadow: 0 0 7px #ccc;
    z-index: 10000;
    font-size: 12px;
    font-weight: normal;
    font-style: normal;
    text-align: left;
    height: auto !important;
}

.expander-text-preview {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

[data-expanded] > .expander-preview {
    display: none;
}

.inline-block {
    display: inline-block;
}

.invisible {
    visibility: hidden;
}

.tree-view label {
    cursor: pointer;
}

.tree-view li > label > input {
    vertical-align: middle;
}

.tree-view,
.tree-view ul {
    list-style: none;
    margin: 2px;
    padding: 0;
}

.tree-view ul {
    padding-left: 16px;
}

div.thumbnail {
    display: flex;
}

.span.thumbnail {
    display: inline-flex;
}

.thumbnail .thumbnail-source {
    position: absolute;
    display: none;
    box-shadow: 0 0 8px 1px #000000;
    z-index: 1;
}

.thumbnail:hover > .thumbnail-source {
    display: block;
}
